Bug 602673 - [abrt] crash in digikam-1.2.0-2.fc13: Process /usr/bin/digikam was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in digikam-1.2.0-2.fc13: Process /usr/bin/digikam was killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:901e05b912e7528be74357dd021...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-10 13:06 UTC by cade
Modified: 2010-09-30 10:33 UTC (History)
4 users (show)

Fixed In Version: kdegraphics-4.4.5-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 10:33:07 UTC


Attachments (Terms of Use)
File: backtrace (45.72 KB, text/plain)
2010-06-10 13:06 UTC, cade
no flags Details

Description cade 2010-06-10 13:06:32 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/digikam
component: digikam
crash_function: Exiv2::ValueType<unsigned short>::toLong
executable: /usr/bin/digikam
global_uuid: 901e05b912e7528be74357dd0219a425056ed9ef
kernel: 2.6.33.5-112.fc13.x86_64
package: digikam-1.2.0-2.fc13
rating: 4
reason: Process /usr/bin/digikam was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. start program
2. use wizard to import
3. crashes during import

Comment 1 cade 2010-06-10 13:06:37 UTC
Created attachment 422900 [details]
File: backtrace

Comment 2 Andrew Ziem 2010-08-11 01:11:41 UTC
Steven M. Parrish, will you please apply the patch from KDE  bug 246675? The stack trace seems similar.

Patch for kdegraphics:
https://bugs.kde.org/show_bug.cgi?id=246675#c14

Comment 3 Fedora Update System 2010-09-13 12:00:58 UTC
kdegraphics-4.4.5-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kdegraphics-4.4.5-4.fc13

Comment 4 Fedora Update System 2010-09-15 05:22:24 UTC
kdegraphics-4.4.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdegraphics'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kdegraphics-4.4.5-4.fc13

Comment 5 Andrew Ziem 2010-09-15 13:11:49 UTC
For me this update fixes the crash on start on Digikam 1.2 on Fedora 13 32-bit

Comment 6 Fedora Update System 2010-09-17 18:23:16 UTC
kdegraphics-4.4.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdegraphics'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kdegraphics-4.4.5-4.fc13

Comment 7 Fedora Update System 2010-09-30 10:33:02 UTC
kdegraphics-4.4.5-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.